@font-face {
	font-family: 'Nunito';
	src: url(/font/nunito.woff2) format('woff2');
	font-weight: 400 700;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'MaterialIcons';
	font-style: normal;
	font-weight: 400;
	src: url(/font/material.woff2) format('woff2');
}

:root {
	--orange: #ffa800;
	--blue: #00a4bf;
}

html, input, select, textarea {
	font-size: 16px;
}

body {
	margin: 0;
}

* {
	font-family: "Nunito", sans-serif;
	box-sizing: border-box;
}

h1 {
	font-size: 1.6rem;
	line-height: 1.8rem;
	margin: 1rem 0;
}

h2 {
	font-size: 1.2rem;
	line-height: 1.4rem;
	margin: .5rem 0;
}

h3 {
	font-size: 1.1rem;
	line-height: 1.3rem;
	margin: .3rem 0;
}

.center {
	text-align: center;
}

.txt {
    padding: 10px;
    text-align: center;
}

header {
	z-index: 1;
}

header + .txt {
    padding-top: 0;
}

a {
    color: black;
}

.txt h1 {
    margin-top: 0;
}

.blue {
	color: var(--blue);
}

.bgb {
	background: var(--blue) !important;
	color: white !important;
}

button.bgb, .but.bgb {
	border-color: var(--blue);
}

.orange {
	color: var(--orange);
}

.bgo {
	background: var(--orange) !important;
	color: white !important;
}


/* Color */
.color-select {
    width: 240px;
    margin-bottom: 10px;
    position: relative;
    user-select: none;
    display: inline-block;
    text-align: left;
}

/* selected value */
.color-selected {
    border: 1px solid #666;
    border-radius: 14px;
    padding: 6px 10px;
    background: #fff;
    color: #000;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.color-selected .label {
    flex: 1;
    color: #666;
}

.color-selected .swatch, .color-options span {
    width: 16px;
    height: 16px;
    border: 1px solid #000;
}

.color-selected .swatch {
    display: none;
}

.color-options span {
    flex-shrink: 0;
}

.color-select.open .color-selected {
    border-radius: 12px 12px 0 0;
    border-bottom: 0;
}

/* dropdown list */
.color-options {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: 1px solid #666;
    background: #fff;
    max-height: 180px;
    overflow-y: auto;
    display: none;
    z-index: 10;
}

.color-select.open .color-options {
    display: block;
}

.color-options div {
    padding: 4px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    color: #000;
}

/*
.color-options div:not(:last-child) {
    border-bottom: 1px solid #eee;
}
*/

.color-options div:hover {
    background: #f2f2f2;
}

.c1 {
    background: white;
}
.c2 {
    background: black;
}
.c3 {
    background: #636363; /* gris */
}
.c4 {
    background: #959595; /* gris */
}
.c5 {
    background: #EA0C0C; /* rojo */
}
.c6 {
    background: #1256CF; /* azul */
}
.c7 {
    background: #ddc7a0; /* beige */
}
.c8 {
    background: #77522E; /* marron */
}
.c9 {
    background: orange; /* naranja */
}
.c10 {
    background: #087E08; /* verde */
}
.c11 {
    background: #771077; /* morado */
}
.c12 {
    background: #ffde21; /* amarillo */
}
.c13 {
    background: #40e0d0; /* turquesa */
}

.m0 { margin: 0; }
.m10 { margin: 10px; }
.t0 { margin-top: 0; }
.t10 { margin-top: 10px; }
.t20 { margin-top: 20px; }
.b0 { margin-bottom: 0; }
.b10 { margin-bottom: 10px; }
.b20 { margin-bottom: 20px; }

button {
	cursor: pointer;
}

button, .but {
	border: 2px solid var(--orange);
	border-radius: 30px;
	padding: 8px 20px;
	font-size: 1.2rem;
	font-weight: 700;
	white-space: nowrap;
	display: inline-block;
	width: fit-content;
    background: white;
    color: black;
}

a.but {
	text-decoration: none;
	text-align: center;
}

.but.add {
    font-size: 1rem;
    padding: 6px 14px;
}

span.br {
	display: block;
}

header {
	position: relative;
	width: 100%;
	height: 50px;
	padding: 5px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-left: 5px;
}

.login, .admin, .hamburger {
	position: absolute;
	color: var(--blue);
	font-size: 1.6rem;
	font-family: 'MaterialIcons';
	cursor: pointer;
}

.login {
	right: 60px;
    text-decoration: none;
}

.admin {
    right: 106px;
    text-decoration: none;
}

.hamburger {
	right: 20px;
}

.slogan {
	position: absolute;
	text-align: left;
	color: #333;
	margin-left: 22px;
	z-index: 2;
}

.slogan h1 {
	font-size: 1.6rem;
	line-height: 1.8rem;
	margin: 0 0 10px 0;
}

.autolavado {
	position: relative;
	text-align: center;
	aspect-ratio: 800/600;
	background-image: url(/img/autolavado2.webp);
	background-size: cover;
	z-index: 1;
	margin-top: 55px;
}


.autolavado button, .autolavado .but {
	position: absolute;
	border: 3px solid var(--orange);
	left: 50%;
	transform: translate(-50%, -50%);
	opacity: 0.8;
}

.autolavado button:first-of-type {
	top: 70px;
}

.autolavado button:last-of-type {
	top: 140px;
	display: none;
}

.autolavado .but {
	border: 2px solid #555;
	font-size: 1rem;
	padding: 5px 20px;
	line-height: 1.2rem;
	color: #222;
	bottom: 0px;
}

.reserva, .eco {
	font-size: 1.15rem;
	line-height: 1.5rem;
	font-weight: 600;
	width: 100%;
	min-height: 70px;
}

.reserva::before, .eco::before {
	content: "\ebcc";
	font-family: 'MaterialIcons';
	font-size: 2.8rem;
	font-weight: 400;
	float: left;
	margin: 10px 10px 10px 0;
}

.eco::before {
	content: "\ebf1";
}

.reserva button {
	border: 0;
	margin: 10px auto;
}

.mente_verde {
	position: relative;
}

.mente_verde img {
	display: block;
}

.mente_verde img:first-of-type {
	position: absolute;
	bottom: 20px;
	left: 30px;
}

.precios {
	text-align: center;
	color: #333;
}

.precios table {
	margin: 10px auto;
	border-spacing: 10px 0;
}

.precios td, .precios th {
	text-align: center;
	line-height: 1.1rem;
	width: 69px;
}

.precios th {
	vertical-align: bottom;
}

.precios td:first-of-type {
	color: var(--orange);
	font-weight: 600;
	padding-right: 10px;
}

.precios p {
	border: 3px solid var(--orange);
	border-radius: 14px;
	padding: 10px 0;
	display: inline-block;
	font-weight: bold;
	color: black;
	width: 60px;
}

.precios button {
	background: var(--orange);
	border: 0;
	width: 100%;
	font-size: 1rem;
}

.auto {
	width: 100%;
	max-width: 360px;
	border-spacing: 0 15px;
}

.auto img {
	margin-right: 10px;
}

.auto a {
	margin: 0.3rem 0 0.5rem 0;
	display: block;
	text-align: center;
	color: #333;
	font-size: 1rem;
}

.auto button {
	border: 3px solid var(--orange);
	padding: 6px;
	width: 100px;
	font-size: 1rem;
	margin: 0 auto;
}

label {
    text-align: left;
}

.checkbox {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    font-size: 14px;
    user-select: none;
    gap: 10px;
}

.checkbox input {
    display: none;
}

.checkbox .checkmark {
    width: 24px;
    height: 24px;
    border: 2px solid orange;
    border-radius: 4px;
    display: inline-block;
    position: relative;
    transition: background 0.2s, border-color 0.2s;
}

.checkbox input:checked + .checkmark::after {
    content: "";
    position: absolute;
    left: 6px;
    top: 1px;
    width: 6px;
    height: 12px;
    border: solid black;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.error {
    color: red;
    margin: 10px 0;
    font-weight: bold;
}

@media (min-width: 768px) {

	.slogan {
		position: absolute;
		top: 50px;
		z-index: 2;
	}

	.autolavado {
		position: absolute;
		top: 0;
		aspect-ratio: 1536/1024;
		background-image: url(/img/autolavado.webp);
		background-repeat: no-repeat;
		background-position: 50% 30%;
		width: 100%;
		height: 600px;
		z-index: 0;
		margin-top: 0;
	}

	.autolavado button:first-of-type {
		top: 160px;
	}

	.reserva {
		margin-top: 550px;
	}

	span.br {
		display: inline-block;
	}

	.precios {
		margin: 0 auto;
		max-width: 800px;
	}
	.precios table:first-of-type {
		float: left;
		margin-top: 66px;
	}
	.precios table:last-of-type {
		float: right;
	}
}

